Subject: Re: How to exchange rerere/redo resolutions?

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Fri, 10 May 2019 01:49:14 +0200

On Fri, May 10 2019, Philip Oakley wrote:

> Is there a mechanism for exchanging the rerere resolutions, so that
> future fixups, e.g. future clashes on pu rather than master, can be
> sent with patch series?
>
> My current use case that there is a large patch [1] for updating long
> to size_t for use on Windows, which notes that it will have clashes
> with pu, but doesn't appear to have any method  of sending a rerere
> resolution (which the author is already aware of) to the list. Being
> able to flag up such fixes should simplify such conflict resolutions.
>
> I had some very rough ideas about how the resolutions should look
> rather similar to three-way conflict markers, with the resolution as
> the 'base' (between the ||| - ||| marks), which would be resolved via
> a --base merge strategy.
>
> However if there is already a method for exchanging resolutions, where
> should I look?
>
> Philip
>
> [1] <[email-masked]> [PATCH v3 1/1] Use size_t
> instead of 'unsigned long' for data in memory

You can publish your merged branch somewhere, and others can use
contrib/rerere-train.sh to learn from the resolution.

Supposedly, I've never actually used it...